net.sf.jasperreports.engine.type

## Enum ImageTypeEnum

- java.lang.Object
- - java.lang.Enum<ImageTypeEnum>
  - - net.sf.jasperreports.engine.type.ImageTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImageTypeEnum>, JREnum, NamedEnum

      public enum ImageTypeEnum
      extends java.lang.Enum<ImageTypeEnum>
      implements JREnum

  Version:
    $Id: ImageTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GIF` Specifies that the image is of GIF type.
    `JPEG` Specifies that the image is of JPEG type.
    `PNG` Specifies that the image is of PNG type.
    `TIFF` Specifies that the image is of TIFF type.
    `UNKNOWN` Specifies that the image is of unknown type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageTypeEnum` | `getByName(java.lang.String name)`
    `static ImageTypeEnum` | `getByValue(byte value)`
    `static ImageTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getMimeType()`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ImageTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImageTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ImageTypeEnum UNKNOWN

      Specifies that the image is of unknown type.

    - #### GIF

          public static final ImageTypeEnum GIF

      Specifies that the image is of GIF type.

    - #### JPEG

          public static final ImageTypeEnum JPEG

      Specifies that the image is of JPEG type.

    - #### PNG

          public static final ImageTypeEnum PNG

      Specifies that the image is of PNG type.

    - #### TIFF

          public static final ImageTypeEnum TIFF

      Specifies that the image is of TIFF type.

  - ### Method Detail

    - #### values

          public static ImageTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageTypeEnum c : ImageTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### getByName

          public static ImageTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static ImageTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ImageTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com